> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Workflow Runs

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`POST /repos/{owner}/{repo}/actions/jobs/{job_id}/rerun`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#re-run-a-job-from-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Re-run a job from a workflow run
* [`GET /repos/{owner}/{repo}/actions/runs`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#list-workflow-runs-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List workflow runs for a repository
* [`GET /repos/{owner}/{repo}/actions/runs/{run_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#get-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a workflow run
* [`DELETE /repos/{owner}/{repo}/actions/runs/{run_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#delete-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete a workflow run
* [`GET /repos/{owner}/{repo}/actions/runs/{run_id}/approvals`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#get-the-review-history-for-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get the review history for a workflow run
* [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/approve`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#approve-a-workflow-run-for-a-fork-pull-request) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Approve a workflow run for a fork pull request
* [`GET /repos/{owner}/{repo}/actions/runs/{run_id}/attempts/{attempt_number}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#get-a-workflow-run-attempt) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a workflow run attempt
* [`GET /repos/{owner}/{repo}/actions/runs/{run_id}/attempts/{attempt_number}/logs`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#download-workflow-run-attempt-logs) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Download workflow run attempt logs
* [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/cancel`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#cancel-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Cancel a workflow run
* [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/deployment_protection_rule`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#review-custom-deployment-protection-rules-for-a-workflow-run) <Badge color="purple" size="sm">IAT</Badge> - Review custom deployment protection rules for a workflow run
* [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/force-cancel`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#force-cancel-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Force cancel a workflow run
* [`GET /repos/{owner}/{repo}/actions/runs/{run_id}/logs`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#download-workflow-run-logs) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Download workflow run logs
* [`DELETE /repos/{owner}/{repo}/actions/runs/{run_id}/logs`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#delete-workflow-run-logs) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete workflow run logs
* [`GET /repos/{owner}/{repo}/actions/runs/{run_id}/pending_deployments`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#get-pending-deployments-for-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get pending deployments for a workflow run
* [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/pending_deployments`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#review-pending-deployments-for-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Review pending deployments for a workflow run
* [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/rerun`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#re-run-a-workflow) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Re-run a workflow
* [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/rerun-failed-jobs`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#re-run-failed-jobs-from-a-workflow-run) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Re-run failed jobs from a workflow run
* [`GET /repos/{owner}/{repo}/actions/runs/{run_id}/timing`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#get-workflow-run-usage) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get workflow run usage
* [`GET /repos/{owner}/{repo}/actions/workflows/{workflow_id}/runs`](https://docs.github.com/enterprise-cloud@latest/rest/actions/workflow-runs#list-workflow-runs-for-a-workflow) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List workflow runs for a workflow
